@import 'settings';
@import 'typography';
@import 'mixins';


.VideoModal {
    &__Modal {
        background: $blackTrans;

        .Modal__close {
            display: none;
        }
    }

    &__wrap {
        position: relative;
        width: 100%;
        height: 100vh;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    &__content {
        position: relative;
        width: 100%;
    }

    &__close {
        position: absolute;
        z-index: $zindex-modal;
        top: 0;
        right: 0;
        padding: 0;
        color: $white !important;

        &:hover {
            color: $blue !important;
        }
    }

    .Spinner__spin {
        top: calc(50% - 25px);
        left: calc(50% - 25px);
    }

    &__Video {
        margin: 0 auto;
        background: $black;
    }

    &__caption {
        @include small-type;
        padding: 12px 24px;
        text-align: center;
        text-overflow: ellipsis;
        color: $white;

        p {
            margin-bottom: 0;
        }

        a {
            color: $white;
            text-decoration: underline;
        }

        *:last-child {
            margin-bottom: 0;
        }
    }

    &__link {
        margin-top: 0.5em;

        > a {
            text-transform: uppercase;
        }
    }

    @media #{$mobile-only} {
        &__close {
            transform: translate(0, -100%);
        }
    }

    @media #{$tablet} {
        &__wrap {
            margin: 0 auto;
            width: calc(100% - 200px);
            max-width: 924px;
        }

        &__close {
            transform: translate(36px, -36px);
        }
    }

    @media #{$desktop} {
        &__wrap {
            max-width: 1024px;
        }
    }

    @media #{$desktop-large} {
        &__wrap {
            max-width: 1100px;
        }
    }
}
